apiVersion: apps/v1
kind: Deployment
metadata:
  name: dotnet5-api-books
  labels:
    app: dotnet5-api-books
spec:
  replicas: 1
  selector:
    matchLabels:
      app: dotnet5-api-books
  template:
    metadata:
      labels:
        app: dotnet5-api-books
    spec:
      containers:
      - name: dotnet5-api-books
        image: apolzek/dotnet5-api-books:latest
        ports:
        - containerPort: 4000

---

apiVersion: v1
kind: Service
metadata:
  name: dotnet5-api-books
spec:
  selector:
    app: dotnet5-api-books
  ports:
    - protocol: TCP
      port: 4000
      targetPort: 4000